import request from "@/api/request";
import type { ID } from "@/api/common";

// 查询主材进站列表
export function listMainMaterialEntryLog(params: any) {
  return request({
    url: "/mes/station/entry-log/main-material/list",
    method: "get",
    params,
  });
}

// 查询主材进站详细
export function getMainMaterialEntryLog(id: ID) {
  return request({
    url: "/mes/station/entry-log/main-material/" + id,
    method: "get",
  });
}

// 新增主材Wafer进站
export function addWaferEntryLog(data: any) {
  return request({
    url: "/mes/station/entry-log/main-material/wafer",
    method: "post",
    data,
  });
}
// 通过载具新增主材Wafer进站
export function addWaferEntryLogByCarrier(data: any) {
  return request({
    url: "/mes/station/entry-log/main-material/wafer/by-carrier",
    method: "post",
    data,
  });
}

// 新增主材Die进站
export function addDieEntryLog(data: any) {
  return request({
    url: "/mes/station/entry-log/main-material/die",
    method: "post",
    data,
  });
}
// 通过载具新增主材Die进站
export function addDieEntryLogByCarrier(data: any) {
  return request({
    url: "/mes/station/entry-log/main-material/die/by-carrier",
    method: "post",
    data,
  });
}

// 删除主材进站
export function delMainMaterialEntryLog(id: ID) {
  return request({
    url: "/mes/station/entry-log/main-material/" + id,
    method: "delete",
  });
}
